Redmine - Defect #42415

User login is not working with checked stay logged in option
2025-03-15 20:02 - fname Iname

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Accounts / authentication Estimated time: 0.00 hour

Target version:

Resolution: Duplicate Affected version: 6.0.4

Description

Redmine log shows that with option "autologin"=>"1" even after successful authentication for ‘'myuser' (which is LDAP account, but
it is not working also with built in accounts with admin and simple privileges) site visitor user is not changed - stays anonymous:
Current user: anonymous

Failed login:

I, [2025-03-15T20:28:59.110300 #219695] INFO —-- : [77b3ce3c-edaf-41cf-9921-400e0b8d7857] Complete
d 200 OK in 47ms (Views: 21.2ms | ActiveRecord: 12.8ms (10 queries, 1 cached) | GC: 0.0ms)

I, [2025-03-15T20:29:10.000385 #219695] INFO —-- : [f21406be-6391-4263-822a-e7a91fef4176] Started
POST "/login" for 10.5.140.4 at 2025-03-15 20:29:10 +0200

I, [2025-03-15T20:29:10.001738 #219695] INFO —- : [f21406be-6391-4263-822a-e7a91fef4176] Processi
ng by AccountController#login as HTML

I, [2025-03-15T20:29:10.001872 #219695] INFO —-- : [f21406be-6391-4263-822a-e7a91fefdl76] Parame
ters: {"authenticity_token"=>"TXc2Aw30Yv1tH2EwWLTsBMhzHd2uS2DByiAGOWI4ANWIHZNJOHICNOpPpNs3peSIgiNmAFxe
5uCyw

PUYdxV8d2az2A", "back_url"=>"/", "username"=>"myuser", "password"=>"[FILTERED]", "autologin"=>"1",
"login"=>"Login"}

I, [2025-03-15T20:29:10.006556 #219695] INFO —-- : [f21406be-6391-4263-822a-e7a91fefdl76] Curren
t user: anonymous
I, [2025-03-15T20:29:10.079803 #219695] INFO —-- : [f21406be-6391-4263-822a-e7a91fef4176] Successf
ul authentication for 'myuser' from 10.5.140.4 at 2025-03-15 18:29:10 UTC

I, [2025-03-15T20:29:10.148206 #219695] INFO -- : [£f21406be-6391-4263-822a-e7a91fefd4l176] Redir
ected to https://10.94.33.179/

I, [2025-03-15T20:29:10.148816 #219695] INFO —-- : [f21406be-6391-4263-822a-e7a91fefd4176]
Completed 302 Found in 147ms (ActiveRecord: 35.9ms (18 queries, 0 cached) | GC: 0.0ms)
I, [2025-03-15T20:29:10.169590 #219695] INFO —-- : [c2b3calf-8653-40cf-b95e-f£70b£f155

4a8] Started GET "/" for 10.5.140.4 at 2025-03-15 20:29:10 +0200
I, [2025-03-15T20:29:10.170982 #219695] INFO —-- : [c2b3calf-8653-40cf-b95e-£f£70bf1554a8] Processi
ng by WelcomeController#index as HTML
I, [2025-03-15T20:29:10.176292 #219695] INFO —-- : [c2b3calf-8653-40cf-b95e-f£f70b£f1554a8] Curren

t user: anonymous

and successful login:

I, [2025-03-15T20:29:20.823726 #219695] INFO -- : [dab26a55-573b-4954-b51e-a22e£f8209cal] Started
POST "/login" for 10.5.140.4 at 2025-03-15 20:29:20 +0200 [0/
1846]

I, [2025-03-15T20:29:20.826941 #219695] INFO —- : [dab26a55-573b-4954-b51le-a22e£f8209cal] Processi
ng by AccountController#login as HTML

I, [2025-03-15T20:29:20.827455 #219695] INFO —— : [dab26a55-573b-4954-b51le—a22ef8209cal] Parame
ters: {"authenticity_token"=>"BUe¥YtsdjcKHViOwVZOy-bJfdJgfuSo_2WzeRGWIjS5EOgRBXSyPrRm-GOgKMHBfkw41i0YP
KpyM5

3HLQS49kZL4EwW", "back_url"=>"/", "username"=>"myuser", "password"=>"[FILTERED]", "login"=>"Login"}
I, [2025-03-15T20:29:20.834181 #219695] INFO —-- : [dab26a55-573b-4954-b51le-a22e£8209call] Curren
t user: anonymous

I, [2025-03-15T20:29:20.857319 #219695] INFO —- : [dab26a55-573b-4954-b51le-a22e£f8209cal] Successf
ul authentication for 'myuser' from 10.5.140.4 at 2025-03-15 18:29:20 UTC

I, [2025-03-15T20:29:20.878681 #219695] INFO -- : [dab26a55-573b-4954-b5le-a22e£f8209cal] Redirect
ed to https://10.94.33.179/

I, [2025-03-15T20:29:20.879491 #219695] INFO —-- : [dab26a55-573b-4954-b51e-a22ef8209cal] Complete
d 302 Found in 51lms (ActiveRecord: 13.9ms (10 queries, 0 cached) | GC: 0.0ms)

I, [2025-03-15T20:29:20.894834 #219695] INFO —- : [d920106b-294c-4bbc-8adl-8fcd368c67e3] Started
GET "/" for 10.5.140.4 at 2025-03-15 20:29:20 +0200

I, [2025-03-15T20:29:20.896479 #219695] INFO —- : [d920106b-294c-4bbc-8adl-8fcd368c67e3] Processi
ng by WelcomeController#index as HTML

I, [2025-03-15T20:29:20.910176 #219695] INFO -- : [d920106b-294c-4bbc-8adl-8fcd368c67e3] Curren

t user: myuser (1d=68)

0S: Debian-12

Environment:
Redmine version 6.0.4.stable
Ruby version 3.1.2-p20 (2022-04-12) [x86_64-1linux—gnu]
Rails version 7.2.2.1
Environment production
Database adapter PostgreSQL

Related issues:
Is duplicate of Redmine - Defect #42199: Stay logged in option prevevents use... Closed

History

#1 - 2025-04-01 02:35 - Sergei Eskn
- File clipboard-202504010537-oinrr.png added

And the client receives a strange-named cookie when "Stay logged in" is checked:

clipboard-202504010537-oinrr.png

#2 - 2025-04-07 10:52 - Go MAEDA

This issue seems similar to the one reported in #42199. Could you take a look at #421997?

#3 - 2025-04-07 11:07 - Heiko Robert

Thank you @Go MAEDA for your hint!
Installing latest passenger as described on Installing Passenger on Ubuntu 24.04 L TS solved the issue on Ubuntu 24.04 having passenger installed
from the Ubuntu repos.

#4 - 2025-04-07 20:26 - fname Iname

| confirm, that solution provided on link
https://www.phusionpassenger.com/docs/advanced_guides/install_and_upgrade/apache/install/oss/bookworm.html

to install Debian packages from https://oss-binaries.phusionpassenger.com/apt/passenger deb repo works! Thank you! | am wondering how | didn't
saw this issue and solution because | tried to search before this post :)

# Install our PGP key and add HTTPS support for APT
sudo apt-get install -y dirmngr gnupg apt-transport-https ca-certificates curl

curl https://oss-binaries.phusionpassenger.com/auto-software-signing-gpg-key.txt | gpg —-—-dearmor | sudo tee /e
tc/apt/trusted.gpg.d/phusion.gpg >/dev/null

# Add our APT repository

sudo sh —c 'echo deb https://oss-binaries.phusionpassenger.com/apt/passenger bookworm main > /etc/apt/sources.
list.d/passenger.list’

sudo apt-get update

# Install Passenger + Apache module
sudo apt-get install -y libapache2-mod-passenger

#5 - 2025-04-07 21:14 - Holger Just

- Is duplicate of Defect #42199: Stay logged in option prevevents users from logging in on Apache + mod passenger added

#6 - 2025-04-07 21:15 - Holger Just
- Status changed from New to Closed

- Resolution set to Duplicate

Thanks for your feedback. I'm closing this as a duplicate.
https://www.redmine.org/issues/42199
https://www.redmine.org/issues/42199
https://www.phusionpassenger.com/docs/advanced_guides/install_and_upgrade/standalone/install/oss/noble.html
https://www.phusionpassenger.com/docs/advanced_guides/install_and_upgrade/apache/install/oss/bookworm.html
https://oss-binaries.phusionpassenger.com/apt/passenger
